Page MenuHomePhabricator

Termbox uses reserved log parameter 'message'
Closed, ResolvedPublic

Description

Termbox uses reserved log parameter 'message'

{
  "_index": "logstash-mediawiki-2020.02.14",
  "_type": "mediawiki",
  "_id": "AXBFaJZxarkxubcmM7KA",
  "_version": 1,
  "_score": null,
  "_source": {
    "server": "www.wikidata.org",
    "phpversion": "7.2.26-1+0~20191218.33+debian9~1.gbpb5a340+wmf1",
    "wiki": "wikidatawiki",
    "channel": "Wikibase",
    "program": "mediawiki",
    "type": "mediawiki",
    "http_method": "GET",
    "host": "mw1241",
    "@version": 1,
    "c_message": "Request failed with status 0. Usually this means network failure or timeout",
    "shard": "s8",
    "class": "Wikibase\\View\\Termbox\\Renderer\\TermboxRemoteRenderer",
    "timestamp": "2020-02-14T20:34:04+00:00",
    "severity": "err",
    "unique_id": "XkcEOQpAMEwAAFFPIE8AAADA",
    "logstash_formatter_key_conflict": [
      "message"
    ],
    "level": "ERROR",
    "ip": "10.64.48.76",
    "mwversion": "1.35.0-wmf.19",
    "logsource": "mw1241",
    "message": "Wikibase\\View\\Termbox\\Renderer\\TermboxRemoteRenderer: Problem requesting from the remote server",
    "normalized_message": "{class}: Problem requesting from the remote server",
    "url": "/wiki/Q148659",
    "reqId": "XkcEOQpAMEwAAFFPIE8AAADA",
    "tags": [
      "input-kafka-rsyslog-udp-localhost",
      "rsyslog-udp-localhost",
      "kafka",
      "es"
    ],
    "referrer": "https://en.wikipedia.org/",
    "@timestamp": "2020-02-14T20:34:04.968Z",
    "facility": "user"
  },
  "fields": {
    "@timestamp": [
      1581712444968
    ]
  },
  "sort": [
    1581712444968
  ]
}

Event Timeline

Reedy created this task.Feb 14 2020, 8:42 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 14 2020, 8:42 PM

Change 572333 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/Wikibase@master] Don't use logging reserved word message

https://gerrit.wikimedia.org/r/572333

Change 572333 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Don't use logging reserved word message

https://gerrit.wikimedia.org/r/572333

Reedy closed this task as Resolved.Feb 15 2020, 2:11 AM
Reedy claimed this task.